
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>javascript原型继承中两种方法的简介和对比 / iVAN</title>

    <meta name="description" content="javascript原型继承中两种方法的简介和对比 在实际的项目中,我们通常都是用构造函数来创建一个对象,再将一些常用的方法添加到其原型对象上.最后要么直接实例化该对象,要么将它作为父类,再申明一个对象,继承该父类. 而在继承的时候有两种常用方式,今天我们就来稍作探讨 //父类 function Person(name){ this.name = name; }; // 子类 function Student(sex){ Person.apply(this,arguments); //继承父类的构造函数 this.sex=sex; }; 1,继承">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">javascript原型继承中两种方法的简介和对比</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在实际的项目中，我们通常都是用构造函数来创建一个对象，再将一些常用的方法添加到其原型对象上。最后要么直接实例化该对象，要么将它作为父类，再申明一个对象，继承该父类。</p>
<p>而在继承的时候有两种常用方式，今天我们就来稍作探讨</p>
<pre>
//父类
 function Person(name){
    this.name = name;
};

 // 子类
 function Student(sex){
  Person.apply(this,arguments); //继承父类的构造函数
  this.sex=sex;
 };</pre>
<p>1，继承Prototype：</p>
<p>1  Student.prototype = Person.prototype; //执行完此句时，Student.prototype.constructor 指向的是Person,为什么了？因为Person.prototype.constructor指向Person,对象的赋值实质上是引用赋值，所以Student.prototype.constructor也指向Person</p>
<p>2  Student.prototype.constructor = Student;  //  将Student.prototype.constructor 指回Person</p>
<p>用Person的原型对象来覆盖Student的原型对象；前面说到对象的赋值实质上是引用赋值，所以如果Student.prototype上的任何修改都会体现到Person.prototype中，即子类会影响父类。</p>
<p>查看本栏目更多精彩内容：http://www.bianceng.cnhttp://www.bianceng.cn/webkf/script/</p>
<p>看下面：</p>
<p>1 Student.prototype.add=function(){alert("add")};</p>
<p>2 Person.prototype.add();//弹出add</p>
<p>2，继承实例：</p>
<p>1 Student.prototype = new Person();  //如果此处不传递参数，可以不写（);即直接写成 new Person;</p>
<p>2 Student.prototype.constructor = Student;</p>
<p>用Person的实例来覆盖Student的原型对象；创建了实例，比起前面那种，显示是浪费内存了，不过这同时也解决了上面那种方法的缺点，即此时Student.prototype上的任何修改不会体现到Person.prototype中，即子类不会影响父类。</p>
<p>3，利用控对象来组合1和2的优点，去掉缺点</p>
<p>1 var  F = function(){};</p>
<p>2 F.prototype = Person.prototype;</p>
<p>3 Student.prototype  = new F();</p>
<p>4 Student.prototype.constructor  = Student;</p>
<p>F是个空对象，上面只有些原型方法，实例化时内存占用较少，同时也隔离开了子类对父类的影响。</p>
<p>作者：cnblogs 温伯</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索对象<br />
                    ，                prototype<br />
                    ，                student<br />
                    ，                constructor<br />
                    ，                原型<br />
                                    person<br />
                                    javascript 原型继承、javascript原型链继承、javascript原型和继承、javascript 原型链、javascript 原型，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 05:01:46</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%8e%9f%e5%9e%8b/" title="原型">原型</a>, <a href="https://www.iamivan.net/tag/%e5%af%b9%e8%b1%a1/" title="对象">对象</a>, <a href="https://www.iamivan.net/tag/prototype/" title="prototype">prototype</a>, <a href="https://www.iamivan.net/tag/person/" title="person">person</a>, <a href="https://www.iamivan.net/tag/student/" title="student">student</a>, <a href="https://www.iamivan.net/tag/constructor/" title="constructor">constructor</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>javascript原型继承中两种方法的简介和对比的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWXGPep.html" rel="bookmark">js原型继承的两种方法对比介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这篇文章主要介绍了js原型继承的两种方法对比介绍,需要的朋友可以参考下 在实际的项目中,我们通常都是用构造函数来创建一个对象,再将一些常用的方法添加到其原型对象上.最后要么直接实例化该对象,要么将它作为父类,再申明一个对象,继承该父类.   而在继承的时候有两种常用方式,今天我们就来稍作探讨    代码如下: //父类  function Person(name){     this.name = name; };    // 子类  function Student(sex){   Perso			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlmVJNp.html" rel="bookmark">js原型继承的两种方法对比介绍&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在实际的项目中,我们通常都是用构造函数来创建一个对象,再将一些常用的方法添加到其原型对象上.最后要么直接实例化该对象,要么将它作为父类,再申明一个对象,继承该父类. 而在继承的时候有两种常用方式,今天我们就来稍作探讨 复制代码 代码如下: //父类 function Person(name){    this.name = name;};  // 子类 function Student(sex){  Person.apply(this,arguments); //继承父类的构造函数  this.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnLyQ2b.html" rel="bookmark">JavaScript数组去重的两种方法推荐&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.数组去重: Array类型并没有提供去重复的方法,如果要把数组的重复元素干掉,那得自己想办法: 方法一:利用indexOf方法: var aa=[1,3,5,4,3,3,1,4] function arr(arr) { var result=[] for(var i=0; i&lt;arr.length; i++){ if(result.indexOf(arr[i])==-1){ result.push(arr[i]) } } console.log(result) } arr(aa) 方法二:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEYdVqb.html" rel="bookmark">jsp页面中两种方法显示当前时间的简单实例&lowbar;JSP编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在jsp页面实现显示当前的日期时间,我们可以用一下两种方式实现: 1. 通过在jsp页面添加Java代码实现,主要代码如下所示 java.text.SimpleDateFormat simpleDateFormat = new java.text.SimpleDateFormat( &quot;yyyy-MM-dd HH:mm:ss&quot;); java.util.Date currentTime = new java.util.Date(); String time = simpleDateForm			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MryOxjb.html" rel="bookmark">JavaScript实现继承的4种方法总结&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JavaScript虽没有给出继承的关键字,但是我们依然能够拿出一些好办法实现. 1.原型链继承: 复制代码 代码如下: var Base = function()  {      this.level = 1;      this.name = &quot;base&quot;;      this.toString = function(){          return &quot;base&quot;;      };  };  Base.CONSTANT = &quot;constant&qu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN1ELob.html" rel="bookmark">js判断字符是否是汉字的两种方法小结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 本篇文章主要是对js判断字符是否是汉字的两种方法进行了详细的总结介绍,需要的朋友可以过来参考下,希望对大家有所帮助 有时需要判断一个字符是不是汉字,比如在用户输入含有中英文的内容时,需要判断是否超过规定长度就要用到.用 Javascript 判断通常有两种方法.    1.用正则表达式判断    代码如下: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http://www.w3.org			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze7XJjM.html" rel="bookmark">防止U盘进入PE后霸占盘符空间的两种方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  如上图所示为进入winPE系统打开我的电脑时看到的画面,我们可以发现u盘已经占用了C盘的盘符,而系统盘(也就是平时说的C盘)的盘符却为D.今天u启动小编就教大家如何防止u盘占用其他磁盘盘符. 方法一: 1.在u盘内新建txt文本文档,随后在该文档中输入以下两行字符即可;(右边红色的字为注释,不需要输入) SUBJ %CurDrv% //删除原有的U盘的盘符 SHOW R:1,U //给U盘新分配盘符为U: 2.将文本文档重命名为&quot;ChangeUSB.INI&quot;(后缀必须为.ini),			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxENnPp.html" rel="bookmark">js判断字符是否是汉字的两种方法小结&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				有时需要判断一个字符是不是汉字,比如在用户输入含有中英文的内容时,需要判断是否超过规定长度就要用到.用 Javascript 判断通常有两种方法. 1.用正则表达式判断 复制代码 代码如下: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd&quot;&gt;&lt;html xml			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mq8Rxab.html" rel="bookmark">javascript中取前n天日期的两种方法分享</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了javascript中取前n天日期的两种方法,有需要的朋友可以参考一下 方法一:   代码如下: var d = new Date();   d = new Date(d.getFullYear(),d.getMonth(),d.getDate()-n);         方法二:    代码如下: var now = new Date();   now.setTime(now.getTime()-n*24*60*60*1000);  			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0bo7Kdb.html" rel="bookmark" class="title">世界之窗浏览器进程模型切换详解</a>
					<div>
						  世界之窗浏览器提供了单进程模式.混合模式以及多进程模式,您可以选择适合您的进程模型.若您还不了解几种进程模型的区别,建议您使用默认的混合模式. 在 选项→高级→框架和增强 里,可切换进程模型.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5oWBb.html" rel="bookmark" class="title">html编辑器中，有很多无法得到系统的字体，这个脚本可以</a>
					<div>
						脚本 &lt;HTML&gt;&lt;HEAD&gt;&lt;TITLE&gt;&lt;/TITLE&gt;&lt;SCRIPT type=&quot;text/javascript&quot;&gt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8JRZb.html" rel="bookmark" class="title">PHP引用操作以及外部操作函数的局部静态变量的方法</a>
					<div>
						通过引用方式在外部操作函数或成员方法内部的静态变量 下面举个简单的例子,说明三个关于引用方面的问题: 1. 参数引用后函数内进行类型转换同样是地址操作 2. 参数引用后再传递给其他函数时需要再次添加引 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOrxRp.html" rel="bookmark" class="title">DateDiff 函数 祥解</a>
					<div>
						函数 DateDiff 函数 描述返回两个日期之间的时间间隔. 语法DateDiff(interval, date1, date2 [,firstdayofweek][, firstweekofyea ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze42jNp.html" rel="bookmark" class="title">邻接矩阵无向图&lpar;一&rpar; C语言详解</a>
					<div>
						邻接矩阵无向图的介绍 邻接矩阵无向图是指通过邻接矩阵表示的无向图. 上面的图G1包含了&quot;A,B,C,D,E,F,G&quot;共7个顶点,而且包含了&quot;(A,C),(A,D),(A, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW112qz.html" rel="bookmark" class="title">php&plus;mysql无限级分类</a>
					<div>
						无限级分类...但是效率不是最好的...大家有没有更快更好的效率的代码呢? 用递归等到类别多的时候就会影响效率了! 求分享! class.sql -- -- 表的结构 `class` -- set n ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPVwGz.html" rel="bookmark" class="title">linux rpm安装时候出现冲突或依赖关系</a>
					<div>
						在安装oracle数据库时,缺少rpm包,但是在rpm -ivh 安装时,会报错 [root@node1 Server]# rpm -ivh elfutils-libelf-devel-0.125-3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrDPlp.html" rel="bookmark" class="title">上网本Windows7视窗切换设置技巧</a>
					<div>
						现在的笔记本都搭载了Win7系统,在开启Aero高级模式后,可以在多窗口模式下方便切换,但是对于配置较低的上网本能否安装Win7来视窗切换,怎么设置上网本来实现win7视窗切换呢,根据笔者下面所讲的就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVw7KBb.html" rel="bookmark" class="title">怎样在Word2013文档页脚中插入页码</a>
					<div>
						  第1步,打开Word2013文档窗口,切换到&quot;插入&quot;功能区.在&quot;页眉和页脚&quot;分组中单击&quot;页脚&quot;按钮,并在打开的页脚面板中选择&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJ3Llp.html" rel="bookmark" class="title">PS如何利用插件把单张星空素材制作成星轨</a>
					<div>
						  还在找拍星轨的技巧吗?还在用几个小时拍一张星轨图吗?其实,单张星空照片也能制作出星轨的绚丽效果.认认真真拍好一张星空照片,接下来的步骤就交给@詹姆斯摄影,他将教你怎么使用半岛雪人插件单张星空素材制 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvG5JVp.html" rel="bookmark" class="title">Nero9 常见使用问题解答</a>
					<div>
						您对 Nero 9 有疑问吗?这里提供了对常见问题的解答. 什么是 Nero 9? Nero 9 是极易上手而又功能强大的多媒体软件套装,可以帮助您自由创建.翻录.复制.刻录.编辑.共享和上传各种数字 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnY9G0M.html" rel="bookmark" class="title">微信公众号多图文素材编辑完成保存失败该怎么解决？</a>
					<div>
						本文以图文结合的形式告诉大家怎么解决公众号多图文素材编辑完成保存失败的问题 1.其实这个是大家对多图文的理解偏差造成的,所谓的多图文,不是&quot;多图&quot;文,而是&quot;多&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRkV6z.html" rel="bookmark" class="title">关于Syncronized继承问题</a>
					<div>
						问题描述 publicclassWidget{publicsyncronizedvoiddoSomething(){}}publicclassLoggingWidgetextendsWidget(){ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94XPvb.html" rel="bookmark" class="title">索引键的唯一性（1&sol;4）：堆表上的唯一与非唯一非聚集索引的区别</a>
					<div>
						原文:索引键的唯一性(1/4):堆表上的唯一与非唯一非聚集索引的区别 在这篇文章里,我想详细介绍下SQL Server里唯一与非唯一非聚集索引的区别.看这个文章前,希望你已经理解了聚集和非聚集索引的概 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPB5ylb.html" rel="bookmark" class="title">DockOne微信分享（七十六）：容器化ICT融合初体验</a>
					<div>
						本文讲的是DockOne微信分享(七十六):容器化ICT融合初体验[编者的话]本次将分享的容器化ICT融合平台是一种面向未来ICT系统的新型云计算PaaS平台,它基于容器这一轻量级的虚拟化技术以及自动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRa5xb.html" rel="bookmark" class="title">Android后台定时提醒功能实现&lowbar;Android</a>
					<div>
						前提:考虑到自己每次在敲代码或者打游戏的时候总是会不注意时间,一不留神就对着电脑连续3个小时以上,对眼睛的伤害还是挺大的,重度近视了可是会遗传给将来的孩子的呀,可能老婆都跟别人跑了. 于是,为了保护眼 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBg6rdM.html" rel="bookmark" class="title">统计数据表明追踪设备实际表现和消费者的期望有差距</a>
					<div>
						今年7月份健身追踪器认知度增长至70%今年如果有消费者被赠与或者送出一个可穿戴健身追踪器,应该不会感到惊讶.根据NPD集团最新的&quot;互联智能:消费者和可穿戴设备&quot;报告,消费者对可穿戴 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4eoZqb.html" rel="bookmark" class="title">数据库一添加-java&period;sql&period;SQLException&colon; 列名无效</a>
					<div>
						问题描述 java.sql.SQLException: 列名无效 表单添加的时候数据库能正常添加这一行,但是控制台上还是会报 java.sql.SQLException: 列名无效 这个错误?请问怎么 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQoaYp.html" rel="bookmark" class="title">图形界面 java-关于如何控制面板大小的问题</a>
					<div>
						问题描述 关于如何控制面板大小的问题 我设计了一个窗口,使用网格布局,分成两块,我又设计了两个面板安在上面,可是发现他是平分这个窗口的,我想第一个面板占用的面积小一些,就是高度减少,可以实现吗? 解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLJEDM.html" rel="bookmark" class="title">网吧牌照申请流程</a>
					<div>
						网吧牌照申请流程 办理企业登记名称 (工商行政管理部门) 与当地宽带运营商签订服务协议 (公安部门) 办理安全审核 意见书 办理文化准营证 (文化部门) 填写经营许可申请 经营许可证预审 办理经营许可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2kJxM.html" rel="bookmark" class="title">C&num;中函数调用</a>
					<div>
						问题描述 在C#中新建一个控制台应用程序,其中定义两个方法A,B.方法B想调用方法A中的变量,应该怎么做? 解决方案 解决方案二:把变量定义在a方法的外面,比如classC{privateinti;v ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYPNZb.html" rel="bookmark" class="title">互联网大佬们缘何退休：创一代随时错过移动互联？</a>
					<div>
						跟随&quot;老史&quot;最长时间的&quot;女二号&quot;刘伟上周四正式接班巨人CEO一职,宣布了中国互联网&quot;交棒&quot;时代的开始. 从柳传志把联想交给杨元庆,马云辞去阿 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlEWlp.html" rel="bookmark" class="title">C&plus;&plus; 中判断非空的错误指针</a>
					<div>
						最近在写网络上的东西,程序经过长时间的运行,会出现崩溃的问题,经过DUMP文件的查看,发现在recv的地方接收返回值的时候,数据的长度异常的大差不多16亿多字节.而查看分配后的char指针显示为错误的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boq4gjp.html" rel="bookmark" class="title">Git历险记（二）</a>
					<div>
						转载自:http://www.infoq.com/cn/news/2011/01/git-adventures-install-config 各位同学,上回Git历险记(一)讲了一个 &quot;he ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8gl74M.html" rel="bookmark" class="title">Linux中修改环境变量及生效方法&lowbar;Linux</a>
					<div>
						在/etc/profile文件中添加变量[对所有用户生效(永久的)] 用VI在文件/etc/profile文件中增加变量,该变量将会对Linux下所有用户有效,并且是&quot;永久的&quot;.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ3o5Vb.html" rel="bookmark" class="title">情妇网上曝床照计生官员被免职</a>
					<div>
						张燕在网上张贴的图片 据网图 据 新华网 宿州市计划生育和人口委员会副主任刘晓辉被情妇网络举报有婚外情和腐败问题一事,目前已经证实其确实有婚外情问题存在,刘晓辉19日已被免职. 情妇网上举报发床上裸照 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boOYNdb.html" rel="bookmark" class="title">华润集团全资控股北药 引北京国资入巢为代价</a>
					<div>
						在签订框架协议1个多月之后,华润集团整合北药集团终于敲定具体协议. 5月24日,一接近华润医药集团的人士告诉本报记者,&quot;北京市与华润集团已经确定了重组北药的具体协议,作为收购代价,北京市政府 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myv8E5p.html" rel="bookmark" class="title">团宝网将推出&OpenCurlyDoubleQuote;0战略&rdquo;团购业务</a>
					<div>
						2012年春节期间,曾风光一时的知名团购网站团宝网被曝资金链断裂,CEO任春雷跑路,深陷裁员倒闭风波,此事件被扣上&quot;跑路门&quot;的帽子.就在舆论沸沸扬扬之时,团宝网CEO任春雷携千万投 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9vBlkp.html" rel="bookmark" class="title">惠普：为问题笔记本延保补贴</a>
					<div>
						据3月15日凌晨消息,面对中国消费者对其笔记本电脑的投诉,惠普终于再次采取了行动,宣布为受影响的客户提供延长保修服务,并考虑针对曾支付过主板的邮寄和维修费用的用户支付补贴.以下为全文: 惠普致力于通过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjEJJNz.html" rel="bookmark" class="title">卡萨帝朗度问鼎第一畅销型号的宝座</a>
					<div>
						据最新销售数据显示,2013年中国高端冰箱市场总体呈上升趋势.其中,海尔集团高端品牌卡萨帝朗度上市才1个多月,便迅速问鼎第一畅销型号的宝座.究其原因是,朗度冰箱不但创造性的为用户打造了九大专属空间,更 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
